/* 
 * File:   main.c
 * Author: Chisanga
 *
 * Created on 04 May 2020, 8:10 PM
 */

//------------------------------------------------------------------------------
#define _XTAL_FREQ 4000000
//------------------------------------------------------------------------------
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
//------------------------------------------------------------------------------
#include "headers/TC74.h"
#include "headers/Lcd4.h"
//------------------------------------------------------------------------------
char out[7] = {0};
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{
  TC74_init();
  LCD_init();
    
  while(1)
  {
    sprintf(out,"Tempre:%dC",TC74_readTempr());
    LCD_string(0,0,out);
    
    __delay_ms(1000);
    LCD_command(clear);
  }
  
  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------